# Heading 1

## Heading 2

### Heading 3

Paragraphs are on their own line.

Here's another paragraph.

Simple formatting like **bold** and *italics*.

Lists:

 - item 1
 - item 2
 - item 3
 
Bullets:

 * item 1
 * item 2
 * item 3
 
Numbered:

 1. item 1
 1. item 2
 1. item 3


```r
message("Hello")
```

```
## Hello
```

```r
x <- 5
```


The value of x in 5




## Figures


```r
library(ggplot2)
g <- ggplot(mtcars, aes(x = as.factor(cyl), y = mpg)) + geom_boxplot()
g
```

![plot of chunk figure_example](knitr_demo_figures/figure_example.png) 


## Tables


```r
library(xtable)
mtcars.xt <- xtable(mtcars, digits = 0)
digits(mtcars.xt)[c(2, 6:8)] <- 2
print(mtcars.xt, type = "html")
```

<!-- html table generated in R 3.0.1 by xtable 1.7-1 package -->
<!-- Fri Jul 19 22:51:27 2013 -->
<TABLE border=1>
<TR> <TH>  </TH> <TH> mpg </TH> <TH> cyl </TH> <TH> disp </TH> <TH> hp </TH> <TH> drat </TH> <TH> wt </TH> <TH> qsec </TH> <TH> vs </TH> <TH> am </TH> <TH> gear </TH> <TH> carb </TH>  </TR>
  <TR> <TD align="right"> Mazda RX4 </TD> <TD align="right"> 21.00 </TD> <TD align="right"> 6 </TD> <TD align="right"> 160 </TD> <TD align="right"> 110 </TD> <TD align="right"> 3.90 </TD> <TD align="right"> 2.62 </TD> <TD align="right"> 16.46 </TD> <TD align="right"> 0 </TD> <TD align="right"> 1 </TD> <TD align="right"> 4 </TD> <TD align="right"> 4 </TD> </TR>
  <TR> <TD align="right"> Mazda RX4 Wag </TD> <TD align="right"> 21.00 </TD> <TD align="right"> 6 </TD> <TD align="right"> 160 </TD> <TD align="right"> 110 </TD> <TD align="right"> 3.90 </TD> <TD align="right"> 2.88 </TD> <TD align="right"> 17.02 </TD> <TD align="right"> 0 </TD> <TD align="right"> 1 </TD> <TD align="right"> 4 </TD> <TD align="right"> 4 </TD> </TR>
  <TR> <TD align="right"> Datsun 710 </TD> <TD align="right"> 22.80 </TD> <TD align="right"> 4 </TD> <TD align="right"> 108 </TD> <TD align="right"> 93 </TD> <TD align="right"> 3.85 </TD> <TD align="right"> 2.32 </TD> <TD align="right"> 18.61 </TD> <TD align="right"> 1 </TD> <TD align="right"> 1 </TD> <TD align="right"> 4 </TD> <TD align="right"> 1 </TD> </TR>
  <TR> <TD align="right"> Hornet 4 Drive </TD> <TD align="right"> 21.40 </TD> <TD align="right"> 6 </TD> <TD align="right"> 258 </TD> <TD align="right"> 110 </TD> <TD align="right"> 3.08 </TD> <TD align="right"> 3.21 </TD> <TD align="right"> 19.44 </TD> <TD align="right"> 1 </TD> <TD align="right"> 0 </TD> <TD align="right"> 3 </TD> <TD align="right"> 1 </TD> </TR>
  <TR> <TD align="right"> Hornet Sportabout </TD> <TD align="right"> 18.70 </TD> <TD align="right"> 8 </TD> <TD align="right"> 360 </TD> <TD align="right"> 175 </TD> <TD align="right"> 3.15 </TD> <TD align="right"> 3.44 </TD> <TD align="right"> 17.02 </TD> <TD align="right"> 0 </TD> <TD align="right"> 0 </TD> <TD align="right"> 3 </TD> <TD align="right"> 2 </TD> </TR>
  <TR> <TD align="right"> Valiant </TD> <TD align="right"> 18.10 </TD> <TD align="right"> 6 </TD> <TD align="right"> 225 </TD> <TD align="right"> 105 </TD> <TD align="right"> 2.76 </TD> <TD align="right"> 3.46 </TD> <TD align="right"> 20.22 </TD> <TD align="right"> 1 </TD> <TD align="right"> 0 </TD> <TD align="right"> 3 </TD> <TD align="right"> 1 </TD> </TR>
  <TR> <TD align="right"> Duster 360 </TD> <TD align="right"> 14.30 </TD> <TD align="right"> 8 </TD> <TD align="right"> 360 </TD> <TD align="right"> 245 </TD> <TD align="right"> 3.21 </TD> <TD align="right"> 3.57 </TD> <TD align="right"> 15.84 </TD> <TD align="right"> 0 </TD> <TD align="right"> 0 </TD> <TD align="right"> 3 </TD> <TD align="right"> 4 </TD> </TR>
  <TR> <TD align="right"> Merc 240D </TD> <TD align="right"> 24.40 </TD> <TD align="right"> 4 </TD> <TD align="right"> 147 </TD> <TD align="right"> 62 </TD> <TD align="right"> 3.69 </TD> <TD align="right"> 3.19 </TD> <TD align="right"> 20.00 </TD> <TD align="right"> 1 </TD> <TD align="right"> 0 </TD> <TD align="right"> 4 </TD> <TD align="right"> 2 </TD> </TR>
  <TR> <TD align="right"> Merc 230 </TD> <TD align="right"> 22.80 </TD> <TD align="right"> 4 </TD> <TD align="right"> 141 </TD> <TD align="right"> 95 </TD> <TD align="right"> 3.92 </TD> <TD align="right"> 3.15 </TD> <TD align="right"> 22.90 </TD> <TD align="right"> 1 </TD> <TD align="right"> 0 </TD> <TD align="right"> 4 </TD> <TD align="right"> 2 </TD> </TR>
  <TR> <TD align="right"> Merc 280 </TD> <TD align="right"> 19.20 </TD> <TD align="right"> 6 </TD> <TD align="right"> 168 </TD> <TD align="right"> 123 </TD> <TD align="right"> 3.92 </TD> <TD align="right"> 3.44 </TD> <TD align="right"> 18.30 </TD> <TD align="right"> 1 </TD> <TD align="right"> 0 </TD> <TD align="right"> 4 </TD> <TD align="right"> 4 </TD> </TR>
  <TR> <TD align="right"> Merc 280C </TD> <TD align="right"> 17.80 </TD> <TD align="right"> 6 </TD> <TD align="right"> 168 </TD> <TD align="right"> 123 </TD> <TD align="right"> 3.92 </TD> <TD align="right"> 3.44 </TD> <TD align="right"> 18.90 </TD> <TD align="right"> 1 </TD> <TD align="right"> 0 </TD> <TD align="right"> 4 </TD> <TD align="right"> 4 </TD> </TR>
  <TR> <TD align="right"> Merc 450SE </TD> <TD align="right"> 16.40 </TD> <TD align="right"> 8 </TD> <TD align="right"> 276 </TD> <TD align="right"> 180 </TD> <TD align="right"> 3.07 </TD> <TD align="right"> 4.07 </TD> <TD align="right"> 17.40 </TD> <TD align="right"> 0 </TD> <TD align="right"> 0 </TD> <TD align="right"> 3 </TD> <TD align="right"> 3 </TD> </TR>
  <TR> <TD align="right"> Merc 450SL </TD> <TD align="right"> 17.30 </TD> <TD align="right"> 8 </TD> <TD align="right"> 276 </TD> <TD align="right"> 180 </TD> <TD align="right"> 3.07 </TD> <TD align="right"> 3.73 </TD> <TD align="right"> 17.60 </TD> <TD align="right"> 0 </TD> <TD align="right"> 0 </TD> <TD align="right"> 3 </TD> <TD align="right"> 3 </TD> </TR>
  <TR> <TD align="right"> Merc 450SLC </TD> <TD align="right"> 15.20 </TD> <TD align="right"> 8 </TD> <TD align="right"> 276 </TD> <TD align="right"> 180 </TD> <TD align="right"> 3.07 </TD> <TD align="right"> 3.78 </TD> <TD align="right"> 18.00 </TD> <TD align="right"> 0 </TD> <TD align="right"> 0 </TD> <TD align="right"> 3 </TD> <TD align="right"> 3 </TD> </TR>
  <TR> <TD align="right"> Cadillac Fleetwood </TD> <TD align="right"> 10.40 </TD> <TD align="right"> 8 </TD> <TD align="right"> 472 </TD> <TD align="right"> 205 </TD> <TD align="right"> 2.93 </TD> <TD align="right"> 5.25 </TD> <TD align="right"> 17.98 </TD> <TD align="right"> 0 </TD> <TD align="right"> 0 </TD> <TD align="right"> 3 </TD> <TD align="right"> 4 </TD> </TR>
  <TR> <TD align="right"> Lincoln Continental </TD> <TD align="right"> 10.40 </TD> <TD align="right"> 8 </TD> <TD align="right"> 460 </TD> <TD align="right"> 215 </TD> <TD align="right"> 3.00 </TD> <TD align="right"> 5.42 </TD> <TD align="right"> 17.82 </TD> <TD align="right"> 0 </TD> <TD align="right"> 0 </TD> <TD align="right"> 3 </TD> <TD align="right"> 4 </TD> </TR>
  <TR> <TD align="right"> Chrysler Imperial </TD> <TD align="right"> 14.70 </TD> <TD align="right"> 8 </TD> <TD align="right"> 440 </TD> <TD align="right"> 230 </TD> <TD align="right"> 3.23 </TD> <TD align="right"> 5.34 </TD> <TD align="right"> 17.42 </TD> <TD align="right"> 0 </TD> <TD align="right"> 0 </TD> <TD align="right"> 3 </TD> <TD align="right"> 4 </TD> </TR>
  <TR> <TD align="right"> Fiat 128 </TD> <TD align="right"> 32.40 </TD> <TD align="right"> 4 </TD> <TD align="right"> 79 </TD> <TD align="right"> 66 </TD> <TD align="right"> 4.08 </TD> <TD align="right"> 2.20 </TD> <TD align="right"> 19.47 </TD> <TD align="right"> 1 </TD> <TD align="right"> 1 </TD> <TD align="right"> 4 </TD> <TD align="right"> 1 </TD> </TR>
  <TR> <TD align="right"> Honda Civic </TD> <TD align="right"> 30.40 </TD> <TD align="right"> 4 </TD> <TD align="right"> 76 </TD> <TD align="right"> 52 </TD> <TD align="right"> 4.93 </TD> <TD align="right"> 1.61 </TD> <TD align="right"> 18.52 </TD> <TD align="right"> 1 </TD> <TD align="right"> 1 </TD> <TD align="right"> 4 </TD> <TD align="right"> 2 </TD> </TR>
  <TR> <TD align="right"> Toyota Corolla </TD> <TD align="right"> 33.90 </TD> <TD align="right"> 4 </TD> <TD align="right"> 71 </TD> <TD align="right"> 65 </TD> <TD align="right"> 4.22 </TD> <TD align="right"> 1.83 </TD> <TD align="right"> 19.90 </TD> <TD align="right"> 1 </TD> <TD align="right"> 1 </TD> <TD align="right"> 4 </TD> <TD align="right"> 1 </TD> </TR>
  <TR> <TD align="right"> Toyota Corona </TD> <TD align="right"> 21.50 </TD> <TD align="right"> 4 </TD> <TD align="right"> 120 </TD> <TD align="right"> 97 </TD> <TD align="right"> 3.70 </TD> <TD align="right"> 2.46 </TD> <TD align="right"> 20.01 </TD> <TD align="right"> 1 </TD> <TD align="right"> 0 </TD> <TD align="right"> 3 </TD> <TD align="right"> 1 </TD> </TR>
  <TR> <TD align="right"> Dodge Challenger </TD> <TD align="right"> 15.50 </TD> <TD align="right"> 8 </TD> <TD align="right"> 318 </TD> <TD align="right"> 150 </TD> <TD align="right"> 2.76 </TD> <TD align="right"> 3.52 </TD> <TD align="right"> 16.87 </TD> <TD align="right"> 0 </TD> <TD align="right"> 0 </TD> <TD align="right"> 3 </TD> <TD align="right"> 2 </TD> </TR>
  <TR> <TD align="right"> AMC Javelin </TD> <TD align="right"> 15.20 </TD> <TD align="right"> 8 </TD> <TD align="right"> 304 </TD> <TD align="right"> 150 </TD> <TD align="right"> 3.15 </TD> <TD align="right"> 3.44 </TD> <TD align="right"> 17.30 </TD> <TD align="right"> 0 </TD> <TD align="right"> 0 </TD> <TD align="right"> 3 </TD> <TD align="right"> 2 </TD> </TR>
  <TR> <TD align="right"> Camaro Z28 </TD> <TD align="right"> 13.30 </TD> <TD align="right"> 8 </TD> <TD align="right"> 350 </TD> <TD align="right"> 245 </TD> <TD align="right"> 3.73 </TD> <TD align="right"> 3.84 </TD> <TD align="right"> 15.41 </TD> <TD align="right"> 0 </TD> <TD align="right"> 0 </TD> <TD align="right"> 3 </TD> <TD align="right"> 4 </TD> </TR>
  <TR> <TD align="right"> Pontiac Firebird </TD> <TD align="right"> 19.20 </TD> <TD align="right"> 8 </TD> <TD align="right"> 400 </TD> <TD align="right"> 175 </TD> <TD align="right"> 3.08 </TD> <TD align="right"> 3.85 </TD> <TD align="right"> 17.05 </TD> <TD align="right"> 0 </TD> <TD align="right"> 0 </TD> <TD align="right"> 3 </TD> <TD align="right"> 2 </TD> </TR>
  <TR> <TD align="right"> Fiat X1-9 </TD> <TD align="right"> 27.30 </TD> <TD align="right"> 4 </TD> <TD align="right"> 79 </TD> <TD align="right"> 66 </TD> <TD align="right"> 4.08 </TD> <TD align="right"> 1.94 </TD> <TD align="right"> 18.90 </TD> <TD align="right"> 1 </TD> <TD align="right"> 1 </TD> <TD align="right"> 4 </TD> <TD align="right"> 1 </TD> </TR>
  <TR> <TD align="right"> Porsche 914-2 </TD> <TD align="right"> 26.00 </TD> <TD align="right"> 4 </TD> <TD align="right"> 120 </TD> <TD align="right"> 91 </TD> <TD align="right"> 4.43 </TD> <TD align="right"> 2.14 </TD> <TD align="right"> 16.70 </TD> <TD align="right"> 0 </TD> <TD align="right"> 1 </TD> <TD align="right"> 5 </TD> <TD align="right"> 2 </TD> </TR>
  <TR> <TD align="right"> Lotus Europa </TD> <TD align="right"> 30.40 </TD> <TD align="right"> 4 </TD> <TD align="right"> 95 </TD> <TD align="right"> 113 </TD> <TD align="right"> 3.77 </TD> <TD align="right"> 1.51 </TD> <TD align="right"> 16.90 </TD> <TD align="right"> 1 </TD> <TD align="right"> 1 </TD> <TD align="right"> 5 </TD> <TD align="right"> 2 </TD> </TR>
  <TR> <TD align="right"> Ford Pantera L </TD> <TD align="right"> 15.80 </TD> <TD align="right"> 8 </TD> <TD align="right"> 351 </TD> <TD align="right"> 264 </TD> <TD align="right"> 4.22 </TD> <TD align="right"> 3.17 </TD> <TD align="right"> 14.50 </TD> <TD align="right"> 0 </TD> <TD align="right"> 1 </TD> <TD align="right"> 5 </TD> <TD align="right"> 4 </TD> </TR>
  <TR> <TD align="right"> Ferrari Dino </TD> <TD align="right"> 19.70 </TD> <TD align="right"> 6 </TD> <TD align="right"> 145 </TD> <TD align="right"> 175 </TD> <TD align="right"> 3.62 </TD> <TD align="right"> 2.77 </TD> <TD align="right"> 15.50 </TD> <TD align="right"> 0 </TD> <TD align="right"> 1 </TD> <TD align="right"> 5 </TD> <TD align="right"> 6 </TD> </TR>
  <TR> <TD align="right"> Maserati Bora </TD> <TD align="right"> 15.00 </TD> <TD align="right"> 8 </TD> <TD align="right"> 301 </TD> <TD align="right"> 335 </TD> <TD align="right"> 3.54 </TD> <TD align="right"> 3.57 </TD> <TD align="right"> 14.60 </TD> <TD align="right"> 0 </TD> <TD align="right"> 1 </TD> <TD align="right"> 5 </TD> <TD align="right"> 8 </TD> </TR>
  <TR> <TD align="right"> Volvo 142E </TD> <TD align="right"> 21.40 </TD> <TD align="right"> 4 </TD> <TD align="right"> 121 </TD> <TD align="right"> 109 </TD> <TD align="right"> 4.11 </TD> <TD align="right"> 2.78 </TD> <TD align="right"> 18.60 </TD> <TD align="right"> 1 </TD> <TD align="right"> 1 </TD> <TD align="right"> 4 </TD> <TD align="right"> 2 </TD> </TR>
   </TABLE>


## Citations


```
## Loading required package: bibtex
## 
## Attaching package: 'knitcitations'
## 
## The following object is masked from 'package:utils':
## 
## cite
```


To use knitcitations, you call citet() or citep() with a DOI.

Later we'll use Bioconductor (<a href="http://dx.doi.org/10.1186/gb-2004-5-10-r80">Gentleman et al. 2004</a> ).

## References


- Robert C Gentleman, Vincent J Carey, Douglas M Bates, Ben Bolstad, Marcel Dettling, Sandrine Dudoit, Byron Ellis, Laurent Gautier, Yongchao Ge, Jeff Gentry, Kurt Hornik, Torsten Hothorn, Wolfgang Huber, Stefano Iacus, Rafael Irizarry, Friedrich Leisch, Cheng Li, Martin Maechler, Anthony J Rossini, Gunther Sawitzki, Colin Smith, Gordon Smyth, Luke Tierney, Jean YH Yang, Jianhua Zhang,   (2004) Unknown.  *Genome Biology*  **5**  R80-NA  [10.1186/gb-2004-5-10-r80](http://dx.doi.org/10.1186/gb-2004-5-10-r80)


